GENDERS_INDEX_NODES(3)

NAME
genders_index_attrvals - internally index attribute values in genders

SYNOPSIS
#include <genders.h>

int genders_index_attrvals(genders_t handle, const char *attr);

DESCRIPTION
genders_index_attrvals() internally indexes attribute values in a genders handle so that genders searches can be done more quickly in the genders_getnodes(3) and genders_isattrval(3) functions.

Only one attribute can be indexed at a time through this function. Subsequent calls to this function with a different attribute will overwrite earlier indexes.

RETURN VALUES
On success, 0 is returned. On error, -1 is returned, and an error code is returned in handle. The error code can be retrieved via genders_errnum(3) , and a description of the error code can be retrieved via genders_strerror(3). Error codes are defined in genders.h.

ERRORS

GENDERS_ERR_NULLHANDLE
    The handle parameter is NULL. The genders handle must be created with genders_handle_create(3).

GENDERS_ERR_NOTLOADED
    genders_load_data(3) has not been called to load genders data.

GENDERS_ERR_PARAMETERS
    An incorrect parameter has been passed in.

GENDERS_ERR_NOTFOUND
    The attribute pointed to by attr cannot be found in the genders file.

GENDERS_ERR_OUTMEM
    malloc(3) has failed internally, system is out of memory.

GENDERS_ERR_MAGIC
    handle has an incorrect magic number. handle does not point to a genders handle or handle has been destroyed by genders_handle_destroy(3).

GENDERS_ERR_INTERNAL
    An internal system error has occurred.

FILES
/usr/include/genders.h

SEE ALSO
libgenders(3), genders_handle_create(3), genders_load_data(3), genders_getnodes(3), genders_isattrval(3), genders_errnum(3), genders_strerror(3)